Bug 119540 - [CSS Grid Layout] Add parsing for named grid lines
Summary: [CSS Grid Layout] Add parsing for named grid lines
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sergio Villar Senin
URL:
Keywords:
Depends on: 119756
Blocks: 103310 119632
  Show dependency treegraph
 
Reported: 2013-08-07 02:09 PDT by Sergio Villar Senin
Modified: 2013-09-03 12:14 PDT (History)
19 users (show)

See Also:


Attachments
Patch (37.22 KB, patch)
2013-08-28 09:40 PDT, Sergio Villar Senin
no flags Details | Formatted Diff | Diff
Patch (37.37 KB, patch)
2013-08-28 10:51 PDT, Sergio Villar Senin
kling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Villar Senin 2013-08-07 02:09:48 PDT
We added support for parsing named grid lines at <trac-list> level, i.e. in the definition of the grid. Now we should add support to parsing grid lines at <grid-line> level, i.e. inside grid-{row|column}-{start|end}. This change covers only the parsing, the layout changes are coming in a follow up patch.

We should consider merging these two changes in Blink instead of starting from scratch:

    r150381
    Add parsing for named grid lines

    This extends our grammar to support named grid lines (no support
    for named grid lines with 'span' yet, though the testing for that
    is added as part of this change).

and

    r150587
    Add parsing for named grid lines with 'span'

    This change extends our grammar to support all types of named grid
    lines (the current code would only support grid lines without the
    'span' keyword). This means that grid-start: span 1 'first' will now
    be properly parsed (but not resolved for layout which will be done in
    a follow-up change).
Comment 1 Sergio Villar Senin 2013-08-28 09:40:58 PDT
Created attachment 209898 [details]
Patch
Comment 2 Early Warning System Bot 2013-08-28 09:49:08 PDT
Comment on attachment 209898 [details]
Patch

Attachment 209898 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/1618325
Comment 3 Early Warning System Bot 2013-08-28 09:50:02 PDT
Comment on attachment 209898 [details]
Patch

Attachment 209898 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/1581649
Comment 4 EFL EWS Bot 2013-08-28 09:59:46 PDT
Comment on attachment 209898 [details]
Patch

Attachment 209898 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/1625291
Comment 5 EFL EWS Bot 2013-08-28 10:00:34 PDT
Comment on attachment 209898 [details]
Patch

Attachment 209898 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/1622272
Comment 6 Build Bot 2013-08-28 10:13:15 PDT
Comment on attachment 209898 [details]
Patch

Attachment 209898 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/1591616
Comment 7 Build Bot 2013-08-28 10:27:40 PDT
Comment on attachment 209898 [details]
Patch

Attachment 209898 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/1626281
Comment 8 Sergio Villar Senin 2013-08-28 10:51:57 PDT
Created attachment 209903 [details]
Patch
Comment 9 Andreas Kling 2013-09-03 07:51:50 PDT
Comment on attachment 209903 [details]
Patch

r=me
Comment 10 Sergio Villar Senin 2013-09-03 12:14:02 PDT
Committed r154996: <http://trac.webkit.org/changeset/154996>